Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DbXML version 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.dbxml
Class XmlException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.db.DbException
                  com.sleepycat.dbxml.XmlException

All Implemented Interfaces:
  Serializable

public class XmlException
extends DbException

The XmlException class represents an error condition that has occurred within the Berkeley DB XML system. The system throws an XmlException if an API method call results in an error condition. The XmlException class exposes the following methods:

### Description: XmlException.toString

### Description: XmlException.getErrorCode

### Description: XmlException.getDbError

See Also:
  Serialized Form

Field Summary
`static int` | `CONTAINER_CLOSED`
`static int` | `CONTAINER_EXISTS`
`static int` | `CONTAINER_NOT_EMPTY`
`static int` | `CONTAINER_OPEN`
`static int` | `DATABASE_ERROR`
`static int` | `DOCUMENT_NOT_FOUND`
`static int` | `DOM_PARSER_ERROR`
`static int` | `INDEXER_PARSER_ERROR`
`static int` | `INTERNAL_ERROR`
`static int` | `INVALID_VALUE`
`static int` | `LAZY_EVALUATION`
`static int` | `NO_VARIABLE_BINDING`
`static int` | `UNKNOWN_INDEX`
`static int` | `UNSUPPORTED_ENCODING`
`static int` | `XPATH_EVALUATION_ERROR`
`static int` | `XPATH_PARSER_ERROR`

Constructor Summary
`XmlException(int errcode, String description, int dberr)`

Method Summary
`int` | `getDbError()`
`int` | `getErrorCode()`
`String` | `toString()`

Methods inherited from class com.sleepycat.db.DbException
`get_errno, getDbEnv, getErrno`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONTAINER_CLOSED

    public static final int CONTAINER_CLOSED

  See Also:
    Constant Field Values

### CONTAINER_EXISTS

    public static final int CONTAINER_EXISTS

  See Also:
    Constant Field Values

### CONTAINER_NOT_EMPTY

    public static final int CONTAINER_NOT_EMPTY

  See Also:
    Constant Field Values

### CONTAINER_OPEN

    public static final int CONTAINER_OPEN

  See Also:
    Constant Field Values

### DATABASE_ERROR

    public static final int DATABASE_ERROR

  See Also:
    Constant Field Values

### DOCUMENT_NOT_FOUND

    public static final int DOCUMENT_NOT_FOUND

  See Also:
    Constant Field Values

### DOM_PARSER_ERROR

    public static final int DOM_PARSER_ERROR

  See Also:
    Constant Field Values

### INDEXER_PARSER_ERROR

    public static final int INDEXER_PARSER_ERROR

  See Also:
    Constant Field Values

### INTERNAL_ERROR

    public static final int INTERNAL_ERROR

  See Also:
    Constant Field Values

### INVALID_VALUE

    public static final int INVALID_VALUE

  See Also:
    Constant Field Values

### LAZY_EVALUATION

    public static final int LAZY_EVALUATION

  See Also:
    Constant Field Values

### NO_VARIABLE_BINDING

    public static final int NO_VARIABLE_BINDING

  See Also:
    Constant Field Values

### UNKNOWN_INDEX

    public static final int UNKNOWN_INDEX

  See Also:
    Constant Field Values

### UNSUPPORTED_ENCODING

    public static final int UNSUPPORTED_ENCODING

  See Also:
    Constant Field Values

### XPATH_EVALUATION_ERROR

    public static final int XPATH_EVALUATION_ERROR

  See Also:
    Constant Field Values

### XPATH_PARSER_ERROR

    public static final int XPATH_PARSER_ERROR

  See Also:
    Constant Field Values

Constructor Detail

### XmlException

    public XmlException(int errcode,
                        String description,
                        int dberr)

Method Detail

### getDbError

    public int getDbError()

  Returns:
    The getDbError() method retrieves the Berkeley DB error number for an XmlException with ExceptionCode DATABASE_ERROR.

### getErrorCode

    public int getErrorCode()

  Returns:
    The getErrorCode() method returns the exception code.

### toString

    public String toString()

Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DbXML version 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.